Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003246Doomseeker[All Projects] Suggestionpublic2017-09-01 16:292018-10-14 13:50
ReporterZalewa 
Assigned ToWubTheCaptain 
PrioritylowSeverityminorReproducibilityN/A
StatusconfirmedResolutionopen 
PlatformOSDebian GNU/LinuxOS Version
Product Version1.1 
Target VersionFixed in Version 
Summary0003246: Debian packaging.
DescriptionThis is a parent issue for all Debian packaging related issues.
Additional Information

Quote from Zalewa
If Debian were to accept Doomseeker into their official repositories, I think it is a good time to do this.
Attached Files

- Relationships
parent of 0003232closedBlzut3 Doomseeker installs architecture-dependent engine libraries to arch-independent directory (multi-arch support) 
parent of 0003234closedBlzut3 src/core/svnrevision.h may create "unexpected upstream changes" issues with dpkg-source 
parent of 0003235closed Integrate IP2C with geoip-database package in Debian GNU/Linux 
parent of 0003236closedBlzut3 Source archive and extracted directory should be renamed to doomseeker-<version> 
parent of 0003238closed Split Doomseeker's build dependencies off source archive distribution, distribute seperately 
parent of 0003239closedZalewa engines/libzandronum.so: Defines RPATH from somewhere 
parent of 0003240closedBlzut3 Doomseeker.desktop uses a non-standard shebang feature 
parent of 0003242closedBlzut3 libwadseeker: Doesn't distinguish version from ELF shared object filename, ABI cannot safely change 
parent of 0003244closedBlzut3 /usr/bin is configured as default IWAD and PWAD path 
parent of 0003245closedZalewa Add /usr/share/games/doom to default configuration IWAD/PWAD paths on GNU/Linux systems 
parent of 0003247confirmedWubTheCaptain Doomseeker's manual page (mdoc/nroff) is missing or incomplete 
parent of 0003255confirmed Support reproducible, deterministic builds 
parent of 0003277closedBlzut3 Distribute source tarball releases with gzip extension (.tar.gz) 
parent of 0003280confirmed Make building Doomseeker and libwadseeker as independent steps feasible 
parent of 0003293closed Debian: Submit an ITP (intent to package) or RFP (request for package) to WNPP 
parent of 0003299closed Wadseeker: Hook into CMake's FindLibLZMA module 
parent of 0003301closed libwadseeker shared library dependency is not handled properly at runtime in Doomseeker after "sudo make install" 
parent of 0003310closed qt-json dependency is duplicated to different files, deduplicate it 
parent of 0003297closedZalewa Update bundled (and possibly vulnerable) zlib 1.2.7 dependency 
parent of 0003532closedBlzut3 Missing game plugins in source distribution, though optional for use, are still mandatory to exist to build from source 
parent of 0003538closedZalewa The preferred form of IP2C database for modifications (CSV) is not currently distributed 
parent of 0003298closedBlzut3 Multiple variations of Blzut3's name in copyright notices 
related to 0003237closedWubTheCaptain Non-free files and copyright issues in source archive 
related to 0003279acknowledged List of Debian issues (misc/non-policy) 
related to 0003483resolvedBlzut3 Doomseeker 1.2 release 
related to 0003499confirmedWubTheCaptain Port Doomseeker to OpenBSD 
related to 0003519confirmed dpkg-shlibdeps warning: libwadseeker.so.1.2 links against useless dependency libpthread.so.0 
related to 0003546closedBlzut3 DRD Team's Debian Package Repository: Lintian warning package-name-doesnt-match-sonames libwadseeker1 
Not all the children of this issue are yet resolved or closed.

-  Notes
User avatar (0018215)
WubTheCaptain (developer)
2017-09-01 16:38
edited on: 2017-09-01 16:41

0003244 is not directly related to Debian. It's a nice to have, but not a blocker.

0003233, 0003241 and 0003243 are also not blockers. 0003245 would be very good to have in Debian, but not specific/not a blocker.

User avatar (0018216)
AOSP (reporter)
2017-09-01 16:44
edited on: 2017-09-01 16:44

This makes me scared to be a programmer.

User avatar (0018217)
WubTheCaptain (developer)
2017-09-01 18:29

0003247 is a new child, 0003248 is optional.
User avatar (0018218)
Zalewa (developer)
2017-09-01 19:21

Quote
This makes me scared to be a programmer.

HA HA HA HA! That's just one system and one standard. Consider how many more are there. Consider also that nothing is ever fully compliant.
User avatar (0018265)
WubTheCaptain (developer)
2017-09-10 21:53

0003255 (reproducible builds) is a recommended suggestion.

0003257 is optional.
User avatar (0018385)
WubTheCaptain (developer)
2017-09-25 16:43

0003275 is suggested.
User avatar (0018388)
WubTheCaptain (developer)
2017-09-25 19:04

0003277 makes a trivial simplification to Debian packaging.
User avatar (0018397)
WubTheCaptain (developer)
2017-09-27 18:53
edited on: 2017-09-27 19:02

Zalewa: I don't think 0003262 and 0003260 need to be children of this ticket. Some things like 0003244 and 0003245 were FHS or Debian policy violations, which had to be fixed to become in compliance with Debian policy. Enhancements like prior two are not an issue for packaging, hence why I also removed 0003257.

Software being too buggy for Debian GNU/Linux may be a reason on its own to create an issue for packaging, but in that regard the prior two are rather minor. MantisBT should have a way to search issues with operating system set to "Debian GNU/Linux" also for other issues (not necessarily related to packaging).

User avatar (0018401)
Zalewa (developer)
2017-09-27 20:14

It will be good to resolve these issues now that they're known. I mark them as children to keep them grouped in the same priority area.
User avatar (0018402)
WubTheCaptain (developer)
2017-09-27 20:49

I'd favor creating a seperate parent ticket for Debian issues not related to packaging, with "related" relationship. Don't mind if I do this?
User avatar (0018403)
Zalewa (developer)
2017-09-27 20:52

ok
User avatar (0018404)
WubTheCaptain (developer)
2017-09-27 22:19

Miscellaneous issues moved to 0003279.
User avatar (0018440)
WubTheCaptain (developer)
2017-10-04 23:31

Can version 1.2 be the target for this ticket?
User avatar (0018448)
Zalewa (developer)
2017-10-06 15:38

I suppose yes.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-09-01 16:29 Zalewa New Issue
2017-09-01 16:29 Zalewa Relationship added parent of 0003232
2017-09-01 16:29 Zalewa Relationship added parent of 0003233
2017-09-01 16:29 Zalewa Relationship added parent of 0003234
2017-09-01 16:30 Zalewa Relationship added parent of 0003235
2017-09-01 16:30 Zalewa Relationship added parent of 0003236
2017-09-01 16:30 Zalewa Relationship added parent of 0003237
2017-09-01 16:30 Zalewa Relationship added parent of 0003238
2017-09-01 16:30 Zalewa Relationship added parent of 0003239
2017-09-01 16:30 Zalewa Relationship added parent of 0003240
2017-09-01 16:30 Zalewa Relationship added parent of 0003241
2017-09-01 16:30 Zalewa Relationship added parent of 0003242
2017-09-01 16:31 Zalewa Relationship added parent of 0003243
2017-09-01 16:31 Zalewa Relationship added parent of 0003244
2017-09-01 16:32 Zalewa Relationship added parent of 0003245
2017-09-01 16:38 WubTheCaptain Note Added: 0018215
2017-09-01 16:41 WubTheCaptain Note Edited: 0018215 View Revisions
2017-09-01 16:44 AOSP Note Added: 0018216
2017-09-01 16:44 AOSP Note Edited: 0018216 View Revisions
2017-09-01 16:44 AOSP Note Edited: 0018216 View Revisions
2017-09-01 18:29 WubTheCaptain Note Added: 0018217
2017-09-01 19:12 Zalewa Relationship added parent of 0003247
2017-09-01 19:12 Zalewa Relationship added parent of 0003248
2017-09-01 19:21 Zalewa Note Added: 0018218
2017-09-10 21:53 WubTheCaptain Note Added: 0018265
2017-09-11 16:58 Zalewa Relationship added parent of 0003255
2017-09-11 16:58 Zalewa Relationship added parent of 0003257
2017-09-25 16:43 WubTheCaptain Note Added: 0018385
2017-09-25 17:37 Zalewa Relationship added parent of 0003275
2017-09-25 19:04 WubTheCaptain Note Added: 0018388
2017-09-25 19:07 Zalewa Relationship added parent of 0003277
2017-09-26 11:37 WubTheCaptain Relationship deleted parent of 0003257
2017-09-27 18:30 Zalewa Relationship added parent of 0003262
2017-09-27 18:30 Zalewa Relationship added parent of 0003260
2017-09-27 18:53 WubTheCaptain Note Added: 0018397
2017-09-27 18:57 WubTheCaptain Note Edited: 0018397 View Revisions
2017-09-27 19:02 WubTheCaptain Note Edited: 0018397 View Revisions
2017-09-27 20:14 Zalewa Note Added: 0018401
2017-09-27 20:49 WubTheCaptain Note Added: 0018402
2017-09-27 20:52 Zalewa Note Added: 0018403
2017-09-27 21:53 WubTheCaptain Relationship added related to 0003279
2017-09-27 21:53 WubTheCaptain Relationship deleted parent of 0003262
2017-09-27 21:54 WubTheCaptain Relationship deleted parent of 0003260
2017-09-27 22:00 WubTheCaptain Relationship deleted parent of 0003233
2017-09-27 22:05 WubTheCaptain Relationship deleted parent of 0003241
2017-09-27 22:07 WubTheCaptain Relationship deleted parent of 0003243
2017-09-27 22:08 WubTheCaptain OS => Debian GNU/Linux
2017-09-27 22:19 WubTheCaptain Note Added: 0018404
2017-09-27 22:22 WubTheCaptain Status new => acknowledged
2017-09-27 22:32 WubTheCaptain Relationship deleted parent of 0003275
2017-09-27 23:17 WubTheCaptain Relationship added parent of 0003280
2017-10-04 23:31 WubTheCaptain Note Added: 0018440
2017-10-05 00:26 WubTheCaptain Relationship added parent of 0003293
2017-10-05 01:20 Blzut3 Target Version => 1.2
2017-10-05 01:37 WubTheCaptain Status acknowledged => confirmed
2017-10-05 02:02 WubTheCaptain Assigned To => WubTheCaptain
2017-10-05 02:02 WubTheCaptain Status confirmed => assigned
2017-10-06 15:38 Zalewa Note Added: 0018448
2017-10-10 09:38 WubTheCaptain Relationship added parent of 0003299
2017-10-12 06:45 WubTheCaptain Relationship added parent of 0003301
2017-10-22 22:16 WubTheCaptain Priority normal => none
2017-10-22 23:05 WubTheCaptain Relationship added parent of 0003310
2017-11-04 01:44 WubTheCaptain Relationship added parent of 0003297
2017-11-04 01:49 WubTheCaptain Additional Information Updated View Revisions
2017-11-04 01:50 WubTheCaptain Additional Information Updated View Revisions
2017-11-04 01:53 WubTheCaptain Additional Information Updated View Revisions
2018-02-16 09:04 WubTheCaptain Status assigned => confirmed
2018-09-01 12:08 WubTheCaptain Relationship added related to 0003483
2018-09-19 17:35 WubTheCaptain Relationship added related to 0003499
2018-09-22 15:54 WubTheCaptain Target Version 1.2 =>
2018-09-24 22:17 WubTheCaptain Relationship added related to 0003519
2018-10-01 04:34 WubTheCaptain Relationship replaced related to 0003237
2018-10-05 07:04 WubTheCaptain Relationship added child of 0003532
2018-10-05 07:04 WubTheCaptain Relationship replaced parent of 0003532
2018-10-06 11:50 WubTheCaptain Relationship added parent of 0003538
2018-10-08 09:24 WubTheCaptain Relationship added related to 0003546
2018-10-14 12:55 WubTheCaptain Relationship added parent of 0003298
2018-10-14 13:14 WubTheCaptain Relationship deleted parent of 0003248
2018-10-14 13:50 WubTheCaptain Priority none => low






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker